Bug 1564707 - yaml files should be installed in library instead of executable subpackage
Summary: yaml files should be installed in library instead of executable subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hlint
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 00:17 UTC by Elliott Sales de Andrade
Modified: 2018-05-01 07:42 UTC (History)
1 user (show)

Fixed In Version: hlint-2.0.11-8.fc29 hlint-2.0.11-8.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-01 07:42:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-04-07 00:17:11 UTC
Description of problem:
The default.yaml is part of the hlint subpackage and not the ghc-hlint subpackage. However, if something links with the hlint library and uses it directly, it fails with:

Dummy:0:0:Error:user error (Failed to find requested hint files:
  /usr/bin/data/hlint.yaml
)

but it works fine if you install /usr/share/hlint-2.0.11/*.yaml. I deleted the hlint binary just to be sure it was not necessary too.

So /usr/share/hlint-2.0.11/*.yaml should be moved to ghc-hlint.

Version-Release number of selected component (if applicable):
2.0.11-6.fc28


Steps to Reproduce:
1. Build ghc-mod (need some of my review request packages first)
2. Run `ghc-mod lint file.hs`

Actual results:
Dummy:0:0:Error:user error (Failed to find requested hint files:
  /usr/bin/data/hlint.yaml
)


Expected results:
No output.

Comment 1 Jens Petersen 2018-04-10 09:31:57 UTC
Thanks for this - the spec file was out of sync with cabal-rpm.

Fixing first in hlint-2.0.11-8.fc29

Comment 2 Jens Petersen 2018-04-10 09:36:34 UTC
Just for the record this is because hlint <= 1.9.26 did not self-link to its library.

Comment 3 Fedora Update System 2018-04-10 10:27:25 UTC
hlint-2.0.11-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed7b5da0dd

Comment 4 Fedora Update System 2018-04-10 22:52:06 UTC
hlint-2.0.11-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed7b5da0dd

Comment 5 Fedora Update System 2018-05-01 07:42:08 UTC
hlint-2.0.11-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.